<?php
session_start();

include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$loginCookie=(isset($loginSesionPorCookies) && $loginSesionPorCookies); //Esto tiene que estar definido en el config.php

if( $loginCookie && $_COOKIE['proxiumSGA_usuario']) {  //SI LAS VARIABLES SESSION SE HAN PERDIDO, RECUPERAMOS LOS DATOS DE LAS COOKIES Y VOLVEMOS A CARGAR PARÁMETROS igual que se hace en el login
	
	$_SESSION['usuario']=unserialize(base64_decode($_COOKIE['proxiumSGA_usuario']));
	$_SESSION['empresas']=unserialize(base64_decode($_COOKIE['proxiumSGA_empresas']));
	
	$_SESSION['empresa']=unserialize(base64_decode($_COOKIE['proxiumSGA_empresa']));
	
	include($rutaPhp.$rutaHtml.'/parametros-empresa.php');
	
	$almacen=unserialize(base64_decode($_COOKIE['proxiumSGA_almacen']));
	
	include($rutaPhp.$rutaHtml.'/parametros-almacen.php');
	
	$ruta='Location:'.$rutaHtml.'/index.php';
	
	header($ruta);

}
else {

	echo '<p>Error en la recuperación de datos de login.</p>';
	
}

?>